
.PRECIOUS:
.PRECIOUS: %.texinfo

SHELL = /bin/bash

default:

html:
	m4 -P jtw-manual.tesinfo >jtw-manual.texinfo
	rm -rfv jtw-manual
	mkdir -p jtw-manual
	-cp -upv jtw-diagram.* jtw-manual
	-cp -upv Turtles.*     jtw-manual
	makeinfo --html --force jtw-manual.texinfo

info:
	m4 -P --define=FOO jtw-manual.tesinfo >jtw-manual.texinfo
	makeinfo jtw-manual.texinfo

abc:
	m4 -P abc.tesinfo >abc.texinfo
	makeinfo abc.texinfo

wc:
	wc -l jtw-manual.texinfo

distclean:
	rm -fv .fuse*
	rm -fv "#*#" "*~"
	rm -rf jtw-manual
	rm -fv jtw-manual.info

m4:
	m4 -P index.hts >index.html



